org.eclipse.ease.ui.completion.provider

## Class JavaClassCompletionProvider

- java.lang.Object
- - org.eclipse.ease.ui.completion.AbstractCompletionProvider
  - - org.eclipse.ease.ui.completion.provider.JavaClassCompletionProvider

All Implemented Interfaces:
  ICompletionProvider

    public class JavaClassCompletionProvider
    extends AbstractCompletionProvider

### Field Summary

### Fields inherited from interface org.eclipse.ease.ui.completion.ICompletionProvider

`TRACE_CODE_COMPLETION`

### Constructor Summary

Constructors
Constructor and Description
`JavaClassCompletionProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isActive(ICompletionContext context)` Query indicating that this providers completion proposals should be taken into account.

### Methods inherited from class org.eclipse.ease.ui.completion.AbstractCompletionProvider

`getContext, getProposals`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JavaClassCompletionProvider

    public JavaClassCompletionProvider()

### Method Detail

#### isActive

    public boolean isActive(ICompletionContext context)

Description copied from interface: `ICompletionProvider`
Query indicating that this providers completion proposals should be taken into account.

Specified by:
  `isActive` in interface `ICompletionProvider`
Overrides:
  `isActive` in class `AbstractCompletionProvider`
Parameters:
  `context` - `ICompletionContext` with necessary information to calculate proposals.
Returns:
  `true` when active